summaryrefslogtreecommitdiff
path: root/script/update/release
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-10-20 03:29:55 +0100
committerLeah Rowe <leah@libreboot.org>2023-10-20 03:29:55 +0100
commit4e54a051ef4ae66bae402479cd4ecdc9709e44ca (patch)
tree2dcb4f5fd6b55b77522d9bd61fb4c1c64919698a /script/update/release
parent8d9aeef3de28bcb908e33b804517bdeacce7be38 (diff)
another code cleanup
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update/release')
-rwxr-xr-xscript/update/release4
1 files changed, 3 insertions, 1 deletions
diff --git a/script/update/release b/script/update/release
index c60f36e5..6188d793 100755
--- a/script/update/release
+++ b/script/update/release
@@ -46,7 +46,7 @@ mkvdir()
git clone . "${srcdir}" || err "mkdir: !gitclone \"${srcdir}\""
[ -z "${_nogit}" ] || x_ rm -Rf ".git"
- rm -Rf "${srcdir}/.git"
+ rm -Rf "${srcdir}/.git" || err "mkvdir: !rm -Rf ${srcdir}/.git"
insert_version_files "${srcdir}" || err "mkvdir ${srcdir}: versionfile"
}
@@ -201,6 +201,8 @@ insert_copying_files()
x_ cp "src/seabios/default/COPYING" "${l}/COPYING.coreboot"
x_ cp "src/seabios/default/COPYING.LESSER" "${l}/COPYING.LESSER.seabios"
x_ cp -R "src/u-boot/default/Licenses" "${l}/COPYING.u-boot"
+ x_ printf "Multiple licenses. Check corresponding %s source archive\n" \
+ "${projectname}" > "${1}/COPYING"
}
mkrom_tarball()